跳至內容

Kotoba Text-to-Speech

整合

模型 id kotoba-technologies/kotoba-tts/v2/tts/ws
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.003 3 API 點數 · ≈ ₽0.32 在此頁面執行

取得 API 金鑰
Kotoba Technologies 文字轉語音 #commercial-use#text-to-speech#japanese#streaming

即時串流生成的日文文字轉語音,提供兩種語音和 WAV 輸出

Kotoba Technologies · 音訊

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 50 / 400

日文語音輸入文字,限制為 400 個字元。

language •必填

文字使用的語言。

speaker_id •必填

語音選擇。

POST /run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20 報價 → $0.003
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Kotoba Text-to-Speech

朗讀最多 400 個字元的日文 `text`,`language` 固定為 ja。透過 `speaker_id` 選擇語音:male-01 或 female-01。輸出為 24 kHz 單聲道、16-bit 的 WAV 檔案,另包含秒數格式的時長和合成文字。音訊會在生成過程中串流傳送。

參數

名稱類型 預設值允許值 說明
text必填
類型string
≤ 400 個字元
日文語音輸入文字,限制為 400 個字元。
language必填
類型enum
ja
文字使用的語言。
speaker_id必填
類型enum
male-01female-01
語音選擇。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kotoba-technologies/kotoba-tts/v2/tts/ws",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  },
  "output": {
    "audio": {
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200,
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3"
    },
    "audio_duration_secs": 1.0,
    "text": "string"
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
audio
object {content_type, file_name, file_size, url}合成語音檔案的連結,格式為 WAV,單聲道音訊、24 kHz、16 位元深度。
audio_duration_secs
number合成音訊的時長,以秒為單位。
text
string用於合成語音的文字。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/kotoba-technologies/kotoba-tts/v2/tts/ws.md. 所有模型與指南: https://doitong.com/developers/llms.txt